Package ghidra.app.util.bin.format.omf

# Class OmfGroupRecord

java.lang.Object
ghidra.app.util.bin.format.omf.OmfRecord
ghidra.app.util.bin.format.omf.OmfGroupRecord

public class OmfGroupRecord extends OmfRecord

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `OmfGroupRecord.GroupSubrecord`

- ## Field Summary

  ### Fields inherited from class ghidra.app.util.bin.format.omf.OmfRecord

  `ALIAS, BAKPAT, BLKDEF, BLKEND, CEXTDEF, checkSum, COMDAT, COMDEF, COMENT, DEBSYM, END, ENDREC, EXTDEF, FIXUPP, GRPDEF, LCOMDEF, LEDATA, LEXTDEF, LHEADR, LIBDIC, LIBHED, LIBLOC, LIBNAM, LIDATA, LINNUM, LINSYM, LLNAMES, LNAMES, LOCSYM, LPUBDEF, MODEND, NBKPAT, OVLDEF, PEDATA, PIDATA, PUBDEF, recordLength, recordOffset, recordType, REDATA, REGINT, RHEADR, RIDATA, SEGDEF, START, THEADR, TYPDEF, VENDEXT, VERNUM`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `OmfGroupRecord(BinaryReader reader)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Address`
  `getAddress(Language language)`
  `int`
  `getFrameDatum()`
  This is the segment selector needed for this object
  `String`
  `getName()`
  `byte`
  `getSegmentComponentType(int i)`
  `int`
  `getSegmentIndex(int i)`
  `long`
  `getStartAddress()`
  `int`
  `numSegments()`
  `void`
  `resolveNames(ArrayList<String> nameList)`
  `void`
  `setStartAddress(long val)`

  ### Methods inherited from class ghidra.app.util.bin.format.omf.OmfRecord

  `calcCheckSum, getRecordLength, getRecordName, getRecordOffset, getRecordType, hasBigFields, readCheckSumByte, readIndex, readInt1Or2, readInt2Or4, readRecord, readRecordHeader, readString, toString, validCheckSum`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### OmfGroupRecord

    public OmfGroupRecord(BinaryReader reader) throws IOException
    Throws:
      `IOException`

- ## Method Details

  - ### getName

    public String getName()

  - ### setStartAddress

    public void setStartAddress(long val)

  - ### getStartAddress

    public long getStartAddress()

  - ### getFrameDatum

    public int getFrameDatum()
    This is the segment selector needed for this object
    Returns:
      The segment selector

  - ### numSegments

    public int numSegments()

  - ### getSegmentComponentType

    public byte getSegmentComponentType(int i)

  - ### getSegmentIndex

    public int getSegmentIndex(int i)

  - ### getAddress

    public Address getAddress(Language language)

  - ### resolveNames

    public void resolveNames(ArrayList<String> nameList) throws OmfException
    Throws:
      `OmfException`